//this source code was auto-generated by tolua#, do not modify it
using System;
using LuaInterface;

public class CLASSTAG_IOHelperWrap
{
	public static void Register(LuaState L)
	{
		L.BeginClass(typeof(IOHelper), typeof(System.Object));
        L.RegFunction("Exists",FUNCTAG_Exists);
        L.RegFunction("Delete",FUNCTAG_Delete);
        L.RegFunction("Copy",FUNCTAG_Copy);
        L.RegFunction("Move",FUNCTAG_Move);
		L.RegFunction("CreateDirectory",FUNCTAG_CreateDirectory);
		L.RegFunction("ClearDirectory",FUNCTAG_ClearDirectory);
		L.RegFunction("__tostring",ToLua.op_ToString);
		L.EndClass();
	}


	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_Exists(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
            string arg0 = ToLua.CheckString(L, 1);
            bool o = IOHelper.FUNCTAG_Exists(arg0);
			LuaDLL.lua_pushboolean(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

    [MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
    static int FUNCTAG_Delete(IntPtr L)
    {
        try
        {
            ToLua.CheckArgsCount(L, 1);
            string arg0 = ToLua.CheckString(L, 1);
            IOHelper.FUNCTAG_Delete(arg0);
            return 0;
        }
        catch (Exception e)
        {
            return LuaDLL.toluaL_exception(L, e);
        }
    }

    [MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
    static int FUNCTAG_Copy(IntPtr L)
    {
        try
        {
            ToLua.CheckArgsCount(L, 2);
            string srcPath = ToLua.CheckString(L, 1);
            string dstPath = ToLua.CheckString(L, 2);
            IOHelper.FUNCTAG_Copy(srcPath, dstPath);
            return 0;
        }
        catch (Exception e)
        {
            return LuaDLL.toluaL_exception(L, e);
        }
    }

    [MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
    static int FUNCTAG_Move(IntPtr L)
    {
        try
        {
            ToLua.CheckArgsCount(L, 2);
            string srcPath = ToLua.CheckString(L, 1);
            string dstPath = ToLua.CheckString(L, 2);
            IOHelper.FUNCTAG_Move(srcPath, dstPath);
            return 0;
        }
        catch (Exception e)
        {
            return LuaDLL.toluaL_exception(L, e);
        }
    }

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_CreateDirectory(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
            string arg0 = ToLua.CheckString(L, 1);
            IOHelper.FUNCTAG_CreateDirectory(arg0);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_ClearDirectory(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
            string arg0 = ToLua.CheckString(L, 1);
            IOHelper.FUNCTAG_ClearDirectory(arg0);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

}

